Imported Upstream version 1.35.9
[platform/upstream/gobject-introspection.git] / tests / warn / Makefile.in
1 # Makefile.in generated by automake 1.13.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2012 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # -*- Mode: make -*-
18 # Copyright 2009-2010 Johan Dahlin
19 #
20 # This file defines variables that are compatible with
21 # Makefile.introspection, but for use within the gobject-introspection
22 # module itself.
23 #
24 VPATH = @srcdir@
25 am__make_dryrun = \
26   { \
27     am__dry=no; \
28     case $$MAKEFLAGS in \
29       *\\[\ \   ]*) \
30         echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
31           | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
32       *) \
33         for am__flg in $$MAKEFLAGS; do \
34           case $$am__flg in \
35             *=*|--*) ;; \
36             *n*) am__dry=yes; break;; \
37           esac; \
38         done;; \
39     esac; \
40     test $$am__dry = yes; \
41   }
42 pkgdatadir = $(datadir)/@PACKAGE@
43 pkgincludedir = $(includedir)/@PACKAGE@
44 pkglibdir = $(libdir)/@PACKAGE@
45 pkglibexecdir = $(libexecdir)/@PACKAGE@
46 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47 install_sh_DATA = $(install_sh) -c -m 644
48 install_sh_PROGRAM = $(install_sh) -c
49 install_sh_SCRIPT = $(install_sh) -c
50 INSTALL_HEADER = $(INSTALL_DATA)
51 transform = $(program_transform_name)
52 NORMAL_INSTALL = :
53 PRE_INSTALL = :
54 POST_INSTALL = :
55 NORMAL_UNINSTALL = :
56 PRE_UNINSTALL = :
57 POST_UNINSTALL = :
58 build_triplet = @build@
59 host_triplet = @host@
60 DIST_COMMON = $(top_srcdir)/common.mk $(srcdir)/Makefile.in \
61         $(srcdir)/Makefile.am $(top_srcdir)/build-aux/test-driver
62 subdir = tests/warn
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
65         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
66         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
67         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/python.m4 \
68         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
69 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
70         $(ACLOCAL_M4)
71 mkinstalldirs = $(install_sh) -d
72 CONFIG_HEADER = $(top_builddir)/config.h
73 CONFIG_CLEAN_FILES =
74 CONFIG_CLEAN_VPATH_FILES =
75 AM_V_P = $(am__v_P_@AM_V@)
76 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
77 am__v_P_0 = false
78 am__v_P_1 = :
79 AM_V_GEN = $(am__v_GEN_@AM_V@)
80 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
81 am__v_GEN_0 = @echo "  GEN     " $@;
82 am__v_GEN_1 = 
83 AM_V_at = $(am__v_at_@AM_V@)
84 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
85 am__v_at_0 = @
86 am__v_at_1 = 
87 SOURCES =
88 DIST_SOURCES =
89 am__can_run_installinfo = \
90   case $$AM_UPDATE_INFO_DIR in \
91     n|no|NO) false;; \
92     *) (install-info --version) >/dev/null 2>&1;; \
93   esac
94 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
95 am__tty_colors_dummy = \
96   mgn= red= grn= lgn= blu= brg= std=; \
97   am__color_tests=no
98 am__tty_colors = { \
99   $(am__tty_colors_dummy); \
100   if test "X$(AM_COLOR_TESTS)" = Xno; then \
101     am__color_tests=no; \
102   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
103     am__color_tests=yes; \
104   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
105     am__color_tests=yes; \
106   fi; \
107   if test $$am__color_tests = yes; then \
108     red='\e[0;31m'; \
109     grn='\e[0;32m'; \
110     lgn='\e[1;32m'; \
111     blu='\e[1;34m'; \
112     mgn='\e[0;35m'; \
113     brg='\e[1m'; \
114     std='\e[m'; \
115   fi; \
116 }
117 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
118 am__vpath_adj = case $$p in \
119     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
120     *) f=$$p;; \
121   esac;
122 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
123 am__install_max = 40
124 am__nobase_strip_setup = \
125   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
126 am__nobase_strip = \
127   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
128 am__nobase_list = $(am__nobase_strip_setup); \
129   for p in $$list; do echo "$$p $$p"; done | \
130   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
131   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
132     if (++n[$$2] == $(am__install_max)) \
133       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
134     END { for (dir in files) print dir, files[dir] }'
135 am__base_list = \
136   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
137   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
138 am__uninstall_files_from_dir = { \
139   test -z "$$files" \
140     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
141     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
142          $(am__cd) "$$dir" && rm -f $$files; }; \
143   }
144 am__recheck_rx = ^[     ]*:recheck:[    ]*
145 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
146 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
147 # A command that, given a newline-separated list of test names on the
148 # standard input, print the name of the tests that are to be re-run
149 # upon "make recheck".
150 am__list_recheck_tests = $(AWK) '{ \
151   recheck = 1; \
152   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
153     { \
154       if (rc < 0) \
155         { \
156           if ((getline line2 < ($$0 ".log")) < 0) \
157             recheck = 0; \
158           break; \
159         } \
160       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
161         { \
162           recheck = 0; \
163           break; \
164         } \
165       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
166         { \
167           break; \
168         } \
169     }; \
170   if (recheck) \
171     print $$0; \
172   close ($$0 ".trs"); \
173   close ($$0 ".log"); \
174 }'
175 # A command that, given a newline-separated list of test names on the
176 # standard input, create the global log from their .trs and .log files.
177 am__create_global_log = $(AWK) ' \
178 function fatal(msg) \
179 { \
180   print "fatal: making $@: " msg | "cat >&2"; \
181   exit 1; \
182 } \
183 function rst_section(header) \
184 { \
185   print header; \
186   len = length(header); \
187   for (i = 1; i <= len; i = i + 1) \
188     printf "="; \
189   printf "\n\n"; \
190 } \
191 { \
192   copy_in_global_log = 1; \
193   global_test_result = "RUN"; \
194   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
195     { \
196       if (rc < 0) \
197          fatal("failed to read from " $$0 ".trs"); \
198       if (line ~ /$(am__global_test_result_rx)/) \
199         { \
200           sub("$(am__global_test_result_rx)", "", line); \
201           sub("[        ]*$$", "", line); \
202           global_test_result = line; \
203         } \
204       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
205         copy_in_global_log = 0; \
206     }; \
207   if (copy_in_global_log) \
208     { \
209       rst_section(global_test_result ": " $$0); \
210       while ((rc = (getline line < ($$0 ".log"))) != 0) \
211       { \
212         if (rc < 0) \
213           fatal("failed to read from " $$0 ".log"); \
214         print line; \
215       }; \
216       printf "\n"; \
217     }; \
218   close ($$0 ".trs"); \
219   close ($$0 ".log"); \
220 }'
221 # Restructured Text title.
222 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
223 # Solaris 10 'make', and several other traditional 'make' implementations,
224 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
225 # by disabling -e (using the XSI extension "set +e") if it's set.
226 am__sh_e_setup = case $$- in *e*) set +e;; esac
227 # Default flags passed to test drivers.
228 am__common_driver_flags = \
229   --color-tests "$$am__color_tests" \
230   --enable-hard-errors "$$am__enable_hard_errors" \
231   --expect-failure "$$am__expect_failure"
232 # To be inserted before the command running the test.  Creates the
233 # directory for the log if needed.  Stores in $dir the directory
234 # containing $f, in $tst the test, in $log the log.  Executes the
235 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
236 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
237 # will run the test scripts (or their associated LOG_COMPILER, if
238 # thy have one).
239 am__check_pre = \
240 $(am__sh_e_setup);                                      \
241 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
242 $(am__tty_colors);                                      \
243 srcdir=$(srcdir); export srcdir;                        \
244 case "$@" in                                            \
245   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
246     *) am__odir=.;;                                     \
247 esac;                                                   \
248 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
249   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
250 if test -f "./$$f"; then dir=./;                        \
251 elif test -f "$$f"; then dir=;                          \
252 else dir="$(srcdir)/"; fi;                              \
253 tst=$$dir$$f; log='$@';                                 \
254 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
255   am__enable_hard_errors=no;                            \
256 else                                                    \
257   am__enable_hard_errors=yes;                           \
258 fi;                                                     \
259 case " $(XFAIL_TESTS) " in                              \
260   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
261     am__expect_failure=yes;;                            \
262   *)                                                    \
263     am__expect_failure=no;;                             \
264 esac;                                                   \
265 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
266 # A shell command to get the names of the tests scripts with any registered
267 # extension removed (i.e., equivalently, the names of the test logs, with
268 # the '.log' extension removed).  The result is saved in the shell variable
269 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
270 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
271 # since that might cause problem with VPATH rewrites for suffix-less tests.
272 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
273 am__set_TESTS_bases = \
274   bases='$(TEST_LOGS)'; \
275   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
276   bases=`echo $$bases`
277 RECHECK_LOGS = $(TEST_LOGS)
278 AM_RECURSIVE_TARGETS = check recheck
279 TEST_SUITE_LOG = test-suite.log
280 TEST_EXTENSIONS = @EXEEXT@ .test
281 LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
282 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
283 am__set_b = \
284   case '$@' in \
285     */*) \
286       case '$*' in \
287         */*) b='$*';; \
288           *) b=`echo '$@' | sed 's/\.log$$//'`; \
289        esac;; \
290     *) \
291       b='$*';; \
292   esac
293 am__test_logs1 = $(TESTS:=.log)
294 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
295 TEST_LOGS = $(am__test_logs2:.test.log=.log)
296 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
297 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
298         $(TEST_LOG_FLAGS)
299 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
300 ACLOCAL = @ACLOCAL@
301 AMTAR = @AMTAR@
302 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
303 AR = @AR@
304 AUTOCONF = @AUTOCONF@
305 AUTOHEADER = @AUTOHEADER@
306 AUTOMAKE = @AUTOMAKE@
307 AWK = @AWK@
308 CAIRO_CFLAGS = @CAIRO_CFLAGS@
309 CAIRO_GIR_PACKAGE = @CAIRO_GIR_PACKAGE@
310 CAIRO_LIBS = @CAIRO_LIBS@
311 CAIRO_SHARED_LIBRARY = @CAIRO_SHARED_LIBRARY@
312 CC = @CC@
313 CCDEPMODE = @CCDEPMODE@
314 CFLAGS = @CFLAGS@
315 CPP = @CPP@
316 CPPFLAGS = @CPPFLAGS@
317 CYGPATH_W = @CYGPATH_W@
318 DEFS = @DEFS@
319 DEPDIR = @DEPDIR@
320 DLLTOOL = @DLLTOOL@
321 DSYMUTIL = @DSYMUTIL@
322 DUMPBIN = @DUMPBIN@
323 ECHO_C = @ECHO_C@
324 ECHO_N = @ECHO_N@
325 ECHO_T = @ECHO_T@
326 EGREP = @EGREP@
327 EXEEXT = @EXEEXT@
328 EXPANDED_BINDIR = @EXPANDED_BINDIR@
329 EXPANDED_DATADIR = @EXPANDED_DATADIR@
330 EXPANDED_LIBDIR = @EXPANDED_LIBDIR@
331 EXPANDED_LIBEXECDIR = @EXPANDED_LIBEXECDIR@
332 EXPANDED_LOCALSTATEDIR = @EXPANDED_LOCALSTATEDIR@
333 EXPANDED_SYSCONFDIR = @EXPANDED_SYSCONFDIR@
334 EXTRA_LINK_FLAGS = @EXTRA_LINK_FLAGS@
335 FFI_CFLAGS = @FFI_CFLAGS@
336 FFI_LIBS = @FFI_LIBS@
337 FFI_PC_CFLAGS = @FFI_PC_CFLAGS@
338 FFI_PC_LIBS = @FFI_PC_LIBS@
339 FFI_PC_PACKAGES = @FFI_PC_PACKAGES@
340 FGREP = @FGREP@
341 GIO_CFLAGS = @GIO_CFLAGS@
342 GIO_LIBS = @GIO_LIBS@
343 GIO_UNIX_CFLAGS = @GIO_UNIX_CFLAGS@
344 GIO_UNIX_LIBS = @GIO_UNIX_LIBS@
345 GIREPO_CFLAGS = @GIREPO_CFLAGS@
346 GIREPO_LIBS = @GIREPO_LIBS@
347 GIR_DIR = @GIR_DIR@
348 GIR_SUFFIX = @GIR_SUFFIX@
349 GLIBSRC = @GLIBSRC@
350 GLIB_CFLAGS = @GLIB_CFLAGS@
351 GLIB_LIBS = @GLIB_LIBS@
352 GMODULE_CFLAGS = @GMODULE_CFLAGS@
353 GMODULE_LIBS = @GMODULE_LIBS@
354 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
355 GOBJECT_INTROSPECTION_LIBDIR = @GOBJECT_INTROSPECTION_LIBDIR@
356 GOBJECT_LIBS = @GOBJECT_LIBS@
357 GREP = @GREP@
358 GTKDOC_CHECK = @GTKDOC_CHECK@
359 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
360 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
361 GTKDOC_MKPDF = @GTKDOC_MKPDF@
362 GTKDOC_REBASE = @GTKDOC_REBASE@
363 HTML_DIR = @HTML_DIR@
364 INSTALL = @INSTALL@
365 INSTALL_DATA = @INSTALL_DATA@
366 INSTALL_PROGRAM = @INSTALL_PROGRAM@
367 INSTALL_SCRIPT = @INSTALL_SCRIPT@
368 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
369 LD = @LD@
370 LDFLAGS = @LDFLAGS@
371 LEX = @LEX@
372 LEXLIB = @LEXLIB@
373 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
374 LIBOBJS = @LIBOBJS@
375 LIBS = @LIBS@
376 LIBTOOL = @LIBTOOL@
377 LIPO = @LIPO@
378 LN_S = @LN_S@
379 LTLIBOBJS = @LTLIBOBJS@
380 MAINT = @MAINT@
381 MAKEINFO = @MAKEINFO@
382 MANIFEST_TOOL = @MANIFEST_TOOL@
383 MKDIR_P = @MKDIR_P@
384 NM = @NM@
385 NMEDIT = @NMEDIT@
386 OBJDUMP = @OBJDUMP@
387 OBJEXT = @OBJEXT@
388 OTOOL = @OTOOL@
389 OTOOL64 = @OTOOL64@
390 PACKAGE = @PACKAGE@
391 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
392 PACKAGE_NAME = @PACKAGE_NAME@
393 PACKAGE_STRING = @PACKAGE_STRING@
394 PACKAGE_TARNAME = @PACKAGE_TARNAME@
395 PACKAGE_URL = @PACKAGE_URL@
396 PACKAGE_VERSION = @PACKAGE_VERSION@
397 PATH_SEPARATOR = @PATH_SEPARATOR@
398 PKG_CONFIG = @PKG_CONFIG@
399 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
400 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
401 POW_LIB = @POW_LIB@
402 PYTHON = @PYTHON@
403 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
404 PYTHON_INCLUDES = @PYTHON_INCLUDES@
405 PYTHON_LIBS = @PYTHON_LIBS@
406 PYTHON_PLATFORM = @PYTHON_PLATFORM@
407 PYTHON_PREFIX = @PYTHON_PREFIX@
408 PYTHON_VERSION = @PYTHON_VERSION@
409 RANLIB = @RANLIB@
410 SCANNER_CFLAGS = @SCANNER_CFLAGS@
411 SCANNER_LIBS = @SCANNER_LIBS@
412 SED = @SED@
413 SET_MAKE = @SET_MAKE@
414 SHELL = @SHELL@
415 STRIP = @STRIP@
416 VERSION = @VERSION@
417 YACC = @YACC@
418 abs_builddir = @abs_builddir@
419 abs_srcdir = @abs_srcdir@
420 abs_top_builddir = @abs_top_builddir@
421 abs_top_srcdir = @abs_top_srcdir@
422 ac_ct_AR = @ac_ct_AR@
423 ac_ct_CC = @ac_ct_CC@
424 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
425 am__include = @am__include@
426 am__leading_dot = @am__leading_dot@
427 am__quote = @am__quote@
428 am__tar = @am__tar@
429 am__untar = @am__untar@
430 bindir = @bindir@
431 build = @build@
432 build_alias = @build_alias@
433 build_cpu = @build_cpu@
434 build_os = @build_os@
435 build_vendor = @build_vendor@
436 builddir = @builddir@
437 datadir = @datadir@
438 datarootdir = @datarootdir@
439 docdir = @docdir@
440 dvidir = @dvidir@
441 exec_prefix = @exec_prefix@
442 host = @host@
443 host_alias = @host_alias@
444 host_cpu = @host_cpu@
445 host_os = @host_os@
446 host_vendor = @host_vendor@
447 htmldir = @htmldir@
448 includedir = @includedir@
449 infodir = @infodir@
450 install_sh = @install_sh@
451 libdir = @libdir@
452 libexecdir = @libexecdir@
453 localedir = @localedir@
454 localstatedir = @localstatedir@
455 mandir = @mandir@
456 mkdir_p = @mkdir_p@
457 oldincludedir = @oldincludedir@
458 pdfdir = @pdfdir@
459 pkgpyexecdir = @pkgpyexecdir@
460 pkgpythondir = @pkgpythondir@
461 prefix = @prefix@
462 program_transform_name = @program_transform_name@
463 psdir = @psdir@
464 pyexecdir = @pyexecdir@
465 pythondir = @pythondir@
466 sbindir = @sbindir@
467 sharedstatedir = @sharedstatedir@
468 srcdir = @srcdir@
469 sysconfdir = @sysconfdir@
470 target_alias = @target_alias@
471 top_build_prefix = @top_build_prefix@
472 top_builddir = @top_builddir@
473 top_srcdir = @top_srcdir@
474 INTROSPECTION_SCANNER = \
475     env PATH=.libs:$(PATH) \
476         LPATH=.libs \
477         CC="$(CC)" \
478         PYTHONPATH=$(top_builddir):$(top_srcdir) \
479         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
480         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
481         $(top_builddir)/g-ir-scanner
482
483 INTROSPECTION_SCANNER_ARGS = \
484     --verbose \
485     -I$(top_srcdir) \
486     --add-include-path=$(srcdir) \
487     --add-include-path=$(top_srcdir)/gir \
488     --add-include-path=$(builddir) \
489     --add-include-path=$(top_builddir)
490
491 INTROSPECTION_COMPILER = \
492     env PATH=.libs:$(PATH) \
493         $(top_builddir)/g-ir-compiler$(EXEEXT)
494
495 INTROSPECTION_COMPILER_ARGS = \
496     --includedir=$(srcdir) \
497     --includedir=$(top_srcdir)/gir \
498     --includedir=$(builddir) \
499     --includedir=$(top_builddir)
500
501 INTROSPECTION_DOCTOOL = \
502     env PATH=.libs:$(PATH) \
503         LPATH=.libs \
504         PYTHONPATH=$(top_builddir):$(top_srcdir) \
505         UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) \
506         UNINSTALLED_INTROSPECTION_BUILDDIR=$(top_builddir) \
507         $(top_builddir)/g-ir-doc-tool
508
509 INTROSPECTION_DOCTOOL_ARGS = \
510     --add-include-path=$(srcdir) \
511     --add-include-path=$(top_srcdir)/gir \
512     --add-include-path=$(builddir) \
513     --add-include-path=$(top_builddir)
514
515 TESTS = warntestrunner
516 alltests = \
517         annotationparser.h \
518         callback-invalid-scope.h \
519         callback-missing-scope.h \
520         return-gobject.h \
521         invalid-array.h \
522         invalid-closure.h \
523         invalid-constructor.h \
524         invalid-element-type.h \
525         invalid-method.h \
526         invalid-option.h \
527         invalid-out.h \
528         invalid-transfer.h \
529         missing-element-type.h \
530         unknown-parameter.h \
531         unresolved-type.h
532
533 EXTRA_DIST = warningtester.py warntestrunner $(alltests) common.h $(TESTS)
534 TESTS_ENVIRONMENT = PYTHONPATH=$(top_builddir):$(top_srcdir) TOP_BUILDDIR=$(top_builddir) UNINSTALLED_INTROSPECTION_SRCDIR=$(top_srcdir) PYTHON=$(PYTHON) srcdir=$(srcdir) alltests="$(alltests)"
535 all: all-am
536
537 .SUFFIXES:
538 .SUFFIXES: .log .test .test$(EXEEXT) .trs
539 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/common.mk $(am__configure_deps)
540         @for dep in $?; do \
541           case '$(am__configure_deps)' in \
542             *$$dep*) \
543               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
544                 && { if test -f $@; then exit 0; else break; fi; }; \
545               exit 1;; \
546           esac; \
547         done; \
548         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/warn/Makefile'; \
549         $(am__cd) $(top_srcdir) && \
550           $(AUTOMAKE) --foreign tests/warn/Makefile
551 .PRECIOUS: Makefile
552 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
553         @case '$?' in \
554           *config.status*) \
555             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
556           *) \
557             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
558             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
559         esac;
560 $(top_srcdir)/common.mk:
561
562 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
563         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
564
565 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
566         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
567 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
568         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
569 $(am__aclocal_m4_deps):
570
571 mostlyclean-libtool:
572         -rm -f *.lo
573
574 clean-libtool:
575         -rm -rf .libs _libs
576 tags TAGS:
577
578 ctags CTAGS:
579
580 cscope cscopelist:
581
582
583 # Recover from deleted '.trs' file; this should ensure that
584 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
585 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
586 # to avoid problems with "make -n".
587 .log.trs:
588         rm -f $< $@
589         $(MAKE) $(AM_MAKEFLAGS) $<
590
591 # Leading 'am--fnord' is there to ensure the list of targets does not
592 # exand to empty, as could happen e.g. with make check TESTS=''.
593 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
594 am--force-recheck:
595         @:
596
597 $(TEST_SUITE_LOG): $(TEST_LOGS)
598         @$(am__set_TESTS_bases); \
599         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
600         redo_bases=`for i in $$bases; do \
601                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
602                     done`; \
603         if test -n "$$redo_bases"; then \
604           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
605           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
606           if $(am__make_dryrun); then :; else \
607             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
608           fi; \
609         fi; \
610         if test -n "$$am__remaking_logs"; then \
611           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
612                "recursion detected" >&2; \
613         else \
614           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
615         fi; \
616         if $(am__make_dryrun); then :; else \
617           st=0;  \
618           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
619           for i in $$redo_bases; do \
620             test -f $$i.trs && test -r $$i.trs \
621               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
622             test -f $$i.log && test -r $$i.log \
623               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
624           done; \
625           test $$st -eq 0 || exit 1; \
626         fi
627         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
628         ws='[   ]'; \
629         results=`for b in $$bases; do echo $$b.trs; done`; \
630         test -n "$$results" || results=/dev/null; \
631         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
632         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
633         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
634         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
635         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
636         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
637         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
638         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
639           success=true; \
640         else \
641           success=false; \
642         fi; \
643         br='==================='; br=$$br$$br$$br$$br; \
644         result_count () \
645         { \
646             if test x"$$1" = x"--maybe-color"; then \
647               maybe_colorize=yes; \
648             elif test x"$$1" = x"--no-color"; then \
649               maybe_colorize=no; \
650             else \
651               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
652             fi; \
653             shift; \
654             desc=$$1 count=$$2; \
655             if test $$maybe_colorize = yes && test $$count -gt 0; then \
656               color_start=$$3 color_end=$$std; \
657             else \
658               color_start= color_end=; \
659             fi; \
660             echo "$${color_start}# $$desc $$count$${color_end}"; \
661         }; \
662         create_testsuite_report () \
663         { \
664           result_count $$1 "TOTAL:" $$all   "$$brg"; \
665           result_count $$1 "PASS: " $$pass  "$$grn"; \
666           result_count $$1 "SKIP: " $$skip  "$$blu"; \
667           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
668           result_count $$1 "FAIL: " $$fail  "$$red"; \
669           result_count $$1 "XPASS:" $$xpass "$$red"; \
670           result_count $$1 "ERROR:" $$error "$$mgn"; \
671         }; \
672         {                                                               \
673           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
674             $(am__rst_title);                                           \
675           create_testsuite_report --no-color;                           \
676           echo;                                                         \
677           echo ".. contents:: :depth: 2";                               \
678           echo;                                                         \
679           for b in $$bases; do echo $$b; done                           \
680             | $(am__create_global_log);                                 \
681         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
682         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
683         if $$success; then                                              \
684           col="$$grn";                                                  \
685          else                                                           \
686           col="$$red";                                                  \
687           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
688         fi;                                                             \
689         echo "$${col}$$br$${std}";                                      \
690         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
691         echo "$${col}$$br$${std}";                                      \
692         create_testsuite_report --maybe-color;                          \
693         echo "$$col$$br$$std";                                          \
694         if $$success; then :; else                                      \
695           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
696           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
697             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
698           fi;                                                           \
699           echo "$$col$$br$$std";                                        \
700         fi;                                                             \
701         $$success || exit 1
702
703 check-TESTS:
704         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
705         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
706         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
707         @set +e; $(am__set_TESTS_bases); \
708         log_list=`for i in $$bases; do echo $$i.log; done`; \
709         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
710         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
711         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
712         exit $$?;
713 recheck: all 
714         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
715         @set +e; $(am__set_TESTS_bases); \
716         bases=`for i in $$bases; do echo $$i; done \
717                  | $(am__list_recheck_tests)` || exit 1; \
718         log_list=`for i in $$bases; do echo $$i.log; done`; \
719         log_list=`echo $$log_list`; \
720         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
721                 am__force_recheck=am--force-recheck \
722                 TEST_LOGS="$$log_list"; \
723         exit $$?
724 warntestrunner.log: warntestrunner
725         @p='warntestrunner'; \
726         b='warntestrunner'; \
727         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
728         --log-file $$b.log --trs-file $$b.trs \
729         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
730         "$$tst" $(AM_TESTS_FD_REDIRECT)
731 .test.log:
732         @p='$<'; \
733         $(am__set_b); \
734         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
735         --log-file $$b.log --trs-file $$b.trs \
736         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
737         "$$tst" $(AM_TESTS_FD_REDIRECT)
738 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
739 @am__EXEEXT_TRUE@       @p='$<'; \
740 @am__EXEEXT_TRUE@       $(am__set_b); \
741 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
742 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
743 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
744 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
745
746 distdir: $(DISTFILES)
747         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
748         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
749         list='$(DISTFILES)'; \
750           dist_files=`for file in $$list; do echo $$file; done | \
751           sed -e "s|^$$srcdirstrip/||;t" \
752               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
753         case $$dist_files in \
754           */*) $(MKDIR_P) `echo "$$dist_files" | \
755                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
756                            sort -u` ;; \
757         esac; \
758         for file in $$dist_files; do \
759           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
760           if test -d $$d/$$file; then \
761             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
762             if test -d "$(distdir)/$$file"; then \
763               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
764             fi; \
765             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
766               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
767               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
768             fi; \
769             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
770           else \
771             test -f "$(distdir)/$$file" \
772             || cp -p $$d/$$file "$(distdir)/$$file" \
773             || exit 1; \
774           fi; \
775         done
776 check-am: all-am
777         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
778 check: check-am
779 all-am: Makefile
780 installdirs:
781 install: install-am
782 install-exec: install-exec-am
783 install-data: install-data-am
784 uninstall: uninstall-am
785
786 install-am: all-am
787         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
788
789 installcheck: installcheck-am
790 install-strip:
791         if test -z '$(STRIP)'; then \
792           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
793             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
794               install; \
795         else \
796           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
797             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
798             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
799         fi
800 mostlyclean-generic:
801         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
802         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
803         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
804
805 clean-generic:
806
807 distclean-generic:
808         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
809         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
810
811 maintainer-clean-generic:
812         @echo "This command is intended for maintainers to use"
813         @echo "it deletes files that may require special tools to rebuild."
814 clean: clean-am
815
816 clean-am: clean-generic clean-libtool mostlyclean-am
817
818 distclean: distclean-am
819         -rm -f Makefile
820 distclean-am: clean-am distclean-generic
821
822 dvi: dvi-am
823
824 dvi-am:
825
826 html: html-am
827
828 html-am:
829
830 info: info-am
831
832 info-am:
833
834 install-data-am:
835
836 install-dvi: install-dvi-am
837
838 install-dvi-am:
839
840 install-exec-am:
841
842 install-html: install-html-am
843
844 install-html-am:
845
846 install-info: install-info-am
847
848 install-info-am:
849
850 install-man:
851
852 install-pdf: install-pdf-am
853
854 install-pdf-am:
855
856 install-ps: install-ps-am
857
858 install-ps-am:
859
860 installcheck-am:
861
862 maintainer-clean: maintainer-clean-am
863         -rm -f Makefile
864 maintainer-clean-am: distclean-am maintainer-clean-generic
865
866 mostlyclean: mostlyclean-am
867
868 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
869
870 pdf: pdf-am
871
872 pdf-am:
873
874 ps: ps-am
875
876 ps-am:
877
878 uninstall-am:
879
880 .MAKE: check-am install-am install-strip
881
882 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
883         clean-libtool cscopelist-am ctags-am distclean \
884         distclean-generic distclean-libtool distdir dvi dvi-am html \
885         html-am info info-am install install-am install-data \
886         install-data-am install-dvi install-dvi-am install-exec \
887         install-exec-am install-html install-html-am install-info \
888         install-info-am install-man install-pdf install-pdf-am \
889         install-ps install-ps-am install-strip installcheck \
890         installcheck-am installdirs maintainer-clean \
891         maintainer-clean-generic mostlyclean mostlyclean-generic \
892         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
893         uninstall uninstall-am
894
895
896 # Tell versions [3.59,3.63) of GNU make to not export all variables.
897 # Otherwise a system limit (for SysV at least) may be exceeded.
898 .NOEXPORT: